## django-tables 0.2.1

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml pickle json htmlhelp qthelp latex changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      to make standalone HTML files"
	@echo "  dirhtml   to make HTML files named index.html in directories"
	@echo "  pickle    to make pickle files"
	@echo "  json      to make JSON files"
	@echo "  htmlhelp  to make HTML files and a HTML help project"
	@echo "  qthelp    to make HTML files and a qthelp project"
	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  changes   to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck to check all external links for integrity"
	@echo "  doctest   to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/django-tables.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/django-tables.qhc"

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== debian/changelog ===
django-tables (0.2.1-1) unstable; urgency=low

  * Initial release. Closes: #619194.

 -- Brian May <bam@debian.org>  Mon, 28 Mar 2011 11:37:40 +1100

=== debian/control ===
Source: django-tables
Section: python
Priority: optional
Maintainer: Brian May <bam@debian.org>
Build-Depends: debhelper (>=7.0.0), python (>= 2.4), python-support (>= 0.6), cdbs (>= 0.4.49)
Standards-Version: 3.9.1

Package: django-tables
Architecture: all
Homepage: http://github.com/miracle2k/django-tables
Depends: ${misc:Depends}, ${python:Depends}, python-django
Description: A Django library for rendering Django QuerySets
 This package helps programmers present data while allowing them to apply
 common tabular transformations on it.

## django-tables 0.9.6

=== debian/changelog ===
django-tables (0.9.6-2) unstable; urgency=low

  * Resolve compatibility issues with Debian/squeeze.

 -- Brian May <bam@debian.org>  Tue, 13 Mar 2012 11:55:12 +1100

django-tables (0.9.6-1) unstable; urgency=low

  * New upstream version from
    https://github.com/bradleyayers/django-tables2 fork
  * Major incompatible non-backwards compatible changes.

 -- Brian May <bam@debian.org>  Mon, 05 Mar 2012 14:23:32 +1100

django-tables (0.2.1-2) unstable; urgency=low

  * Remove redundant line from debian/rules.

 -- Brian May <bam@debian.org>  Fri, 08 Apr 2011 10:34:18 +1000

=== debian/control ===
Source: django-tables
Section: python
Priority: optional
Maintainer: Brian May <bam@debian.org>
Build-Depends: debhelper (>=7.0.0), python (>= 2.6), python-support (>= 0.6), cdbs (>= 0.4.49), python-setuptools
Standards-Version: 3.9.3

Package: django-tables
Architecture: all
Homepage: http://github.com/miracle2k/django-tables
Depends: ${misc:Depends}, ${python:Depends}, python-django
Recommends: python-django (>= 1.3.0)
Description: Django library for rendering Django QuerySets
 This package helps programmers present data while allowing them to apply
 common tabular transformations on it.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

DEB_PYTHON_SYSTEM := pysupport

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/python-distutils.mk

clean::
	rm -rf django_tables2.egg-info

## django-tables 0.10.2

=== docs/Makefile ===
--- 
+++ 
@@ -12,20 +12,26 @@
 PAPEROPT_letter = -D latex_paper_size=letter
 ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
 
-.PHONY: help clean html dirhtml pickle json htmlhelp qthelp latex changes linkcheck doctest
+.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest
 
 help:
 	@echo "Please use \`make <target>' where <target> is one of"
-	@echo "  html      to make standalone HTML files"
-	@echo "  dirhtml   to make HTML files named index.html in directories"
-	@echo "  pickle    to make pickle files"
-	@echo "  json      to make JSON files"
-	@echo "  htmlhelp  to make HTML files and a HTML help project"
-	@echo "  qthelp    to make HTML files and a qthelp project"
-	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
-	@echo "  changes   to make an overview of all changed/added/deprecated items"
-	@echo "  linkcheck to check all external links for integrity"
-	@echo "  doctest   to run all doctests embedded in the documentation (if enabled)"
+	@echo "  html       to make standalone HTML files"
+	@echo "  dirhtml    to make HTML files named index.html in directories"
+	@echo "  singlehtml to make a single large HTML file"
+	@echo "  pickle     to make pickle files"
+	@echo "  json       to make JSON files"
+	@echo "  htmlhelp   to make HTML files and a HTML help project"
+	@echo "  qthelp     to make HTML files and a qthelp project"
+	@echo "  devhelp    to make HTML files and a Devhelp project"
+	@echo "  epub       to make an epub"
+	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
+	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
+	@echo "  text       to make text files"
+	@echo "  man        to make manual pages"
+	@echo "  changes    to make an overview of all changed/added/deprecated items"
+	@echo "  linkcheck  to check all external links for integrity"
+	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"
 
 clean:
 	-rm -rf $(BUILDDIR)/*
@@ -39,6 +45,11 @@
 	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
 	@echo
 	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."
+
+singlehtml:
+	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
+	@echo
+	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."
 
 pickle:
 	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
@@ -61,16 +72,46 @@
 	@echo
 	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
 	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
-	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/django-tables.qhcp"
+	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/django-tables2.qhcp"
 	@echo "To view the help file:"
-	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/django-tables.qhc"
+	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/django-tables2.qhc"
+
+devhelp:
+	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
+	@echo
+	@echo "Build finished."
+	@echo "To view the help file:"
+	@echo "# mkdir -p $$HOME/.local/share/devhelp/django-tables2"
+	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/django-tables2"
+	@echo "# devhelp"
+
+epub:
+	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
+	@echo
+	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."
 
 latex:
 	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
 	@echo
 	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
-	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
-	      "run these through (pdf)latex."
+	@echo "Run \`make' in that directory to run these through (pdf)latex" \
+	      "(use \`make latexpdf' here to do that automatically)."
+
+latexpdf:
+	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
+	@echo "Running LaTeX files through pdflatex..."
+	make -C $(BUILDDIR)/latex all-pdf
+	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."
+
+text:
+	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
+	@echo
+	@echo "Build finished. The text files are in $(BUILDDIR)/text."
+
+man:
+	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
+	@echo
+	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."
 
 changes:
 	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes

=== debian/changelog ===
django-tables (0.10.2-2) unstable; urgency=low

  * Don't import views.py by default, breaks Python 2.6.
  * Fix incorrect depreciation warning.

 -- Brian May <bam@debian.org>  Sun, 01 Apr 2012 09:09:03 +1000

django-tables (0.10.2-1) unstable; urgency=low

  * New upstream version.
  * Bugs fixed.
  * Django 1.4 support.

 -- Brian May <bam@debian.org>  Wed, 28 Mar 2012 12:21:19 +1100

## django-tables 0.13.0

=== docs/Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 #
 
 # You can set these variables from the command line.
-SPHINXOPTS    =
+SPHINXOPTS    = -W
 SPHINXBUILD   = sphinx-build
 PAPER         =
 BUILDDIR      = _build

=== debian/changelog ===
django-tables (0.13.0-3) unstable; urgency=low

  * Fix typo in debian/control, broke upgrades. Fixes: #717999.

 -- Brian May <bam@debian.org>  Sun, 28 Jul 2013 10:41:44 +1000

django-tables (0.13.0-2) unstable; urgency=low

  * Set DPMT as Uploaders.
  * Switch to dh_python2.
  * Bump Standards version to 3.9.4.
  * Bump debhelper Build-Depends to >= 8.1.0~.
  * Rename to python-django-filter, provide transitional dummy package
  * Build documentation with sphinx and move it to separate package
    python-django-filter-doc.
  * Change short and long description.
  * Make dependencies on python-django versioned.
  * Replace debian/pycompat with X-Python-Version.
  * Use DEP5 format for d/copyright.
  * Add d/watch file.
  * Move Homepage field to source section.

 -- Brian May <bam@debian.org>  Thu, 20 Jun 2013 10:18:20 +1000

django-tables (0.13.0-1) unstable; urgency=low

  * New upstream version.
  * Requires Django 1.2 or newer.

 -- Brian May <bam@debian.org>  Sun, 21 Oct 2012 10:47:50 +1100

django-tables (0.11.0-1) unstable; urgency=low

  * New upstream version.

 -- Brian May <bam@debian.org>  Tue, 18 Sep 2012 09:41:45 +1000

=== debian/control ===
Source: django-tables
Section: python
Priority: optional
Maintainer: Brian May <bam@debian.org>
Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Build-Depends: debhelper (>=8.1.0), python-all (>= 2.6.6-3~), python-django (>= 1.4.5), python-setuptools
Build-Depends-Indep: python-sphinx (>= 1.0.7+dfsg-1~), python-doc, python-django-doc
Standards-Version: 3.9.4
X-Python-Version: >= 2.6
Homepage: https://github.com/bradleyayers/django-tables2/

Package: python-django-tables2
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, python-django (>= 1.4.5)
Suggests: python-django-tables2-doc
Replaces: django-tables (<< 0.13.0-2)
Breaks: django-tables (<< 0.13.0-2)
Description: Table/data-grid framework for Django
 django-tables2 simplifies the task of turning sets of data into HTML tables. It
 has native support for pagination and sorting. It does for HTML tables what
 ``django.forms`` does for HTML forms.

Package: python-django-tables2-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, ${sphinxdoc:Depends}, python-doc, python-django-doc
Description: Table/data-grid framework for Django (Documentation)
 django-tables2 simplifies the task of turning sets of data into HTML tables. It
 has native support for pagination and sorting. It does for HTML tables what
 ``django.forms`` does for HTML forms.
 .
 This package contains the documentation.

Package: django-tables
Depends: python-django-tables2, ${misc:Depends}
Architecture: all
Priority: extra
Section: oldlibs
Description: Table/data-grid framework for Django (transitional package)
 This is a dummy package to aid switching to python-django-tables2.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh $@ --with python2,sphinxdoc

.PHONY: override_dh_auto_build
override_dh_auto_build:
	PYTHONPATH=. sphinx-build -b html -d docs/.build/.doctrees -N docs docs/.build/html
	dh_auto_build

override_dh_auto_clean:
	dh_auto_clean
	rm -rf *.egg-info docs/.build

=== debian/watch ===
version=3
https://pypi.python.org/packages/source/d/django-tables2/django-tables2-([\d\.]+)\.tar\.gz

## django-tables 0.15.0

=== debian/changelog ===
django-tables (0.15.0-3) unstable; urgency=low

  * Add patch from https://github.com/bradleyayers/django-tables2/pull/214 as
    dont_call_managers.patch to fix problems with many to many fields. See
    https://github.com/bradleyayers/django-tables2/issues/211 for details.
  * Add patch from
    https://github.com/luzfcb/django-tables2/commit/f3613c41208b0e7080777416f13ea2de6c65da02
    as remove_sorteddict.patch to remove depreciated use of SortedDict.
    See https://github.com/bradleyayers/django-tables2/issues/212 for details.

 -- Brian May <bam@debian.org>  Fri, 17 Oct 2014 09:54:38 +1100

django-tables (0.15.0-2) unstable; urgency=low

  * Python3 package.

 -- Brian May <bam@debian.org>  Fri, 04 Apr 2014 09:42:10 +1100

django-tables (0.15.0-1) unstable; urgency=low

  * New upstream version.

 -- Brian May <bam@debian.org>  Fri, 04 Apr 2014 08:55:48 +1100

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,15 @@
 Priority: optional
 Maintainer: Brian May <bam@debian.org>
 Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Build-Depends: debhelper (>=8.1.0), python-all (>= 2.6.6-3~), python-django (>= 1.4.5), python-setuptools
+Build-Depends: debhelper (>=8.1.0), dh-python,
+ python-all (>= 2.6.6-3~), python-django (>= 1.4.5), python-setuptools, python-six,
+ python3-all, python3-django (>= 1.4.5), python3-setuptools, python3-six,
 Build-Depends-Indep: python-sphinx (>= 1.0.7+dfsg-1~), python-doc, python-django-doc
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 X-Python-Version: >= 2.6
 Homepage: https://github.com/bradleyayers/django-tables2/
+Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/django-tables/trunk/
+Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/django-tables/trunk/
 
 Package: python-django-tables2
 Architecture: all
@@ -15,6 +19,15 @@
 Suggests: python-django-tables2-doc
 Replaces: django-tables (<< 0.13.0-2)
 Breaks: django-tables (<< 0.13.0-2)
+Description: Table/data-grid framework for Django
+ django-tables2 simplifies the task of turning sets of data into HTML tables. It
+ has native support for pagination and sorting. It does for HTML tables what
+ ``django.forms`` does for HTML forms.
+
+Package: python3-django-tables2
+Architecture: all
+Depends: ${misc:Depends}, ${python3:Depends}, python3-django (>= 1.4.5)
+Suggests: python-django-tables2-doc
 Description: Table/data-grid framework for Django
  django-tables2 simplifies the task of turning sets of data into HTML tables. It
  has native support for pagination and sorting. It does for HTML tables what

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export PYBUILD_NAME=django-tables2

%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild

.PHONY: override_dh_auto_build
override_dh_auto_build:
	PYTHONPATH=. sphinx-build -b html -d docs/.build/.doctrees -N docs docs/.build/html
	dh_auto_build

.PHONY: override_dh_auto_test
override_dh_auto_test:
	# Tests require attest which isn't in Debian yet.
	# https://pypi.python.org/pypi/Attest/0.5.3
	# Disabling tests for now.

## django-tables 1.0.7

=== debian/changelog ===
django-tables (1.0.7-1) unstable; urgency=medium

  * New upstream version.
  * Fixes FTBFS with Django 1.9. Closes: #806359.

 -- Brian May <bam@debian.org>  Mon, 04 Jan 2016 09:58:37 +1100

django-tables (1.0.4-2) unstable; urgency=medium

  * Implement working tests.

 -- Brian May <bam@debian.org>  Wed, 28 Oct 2015 21:20:03 +1100

django-tables (1.0.4-1) unstable; urgency=medium

  * New upstream version.

 -- Brian May <bam@debian.org>  Thu, 22 Oct 2015 14:28:17 +1100

django-tables (0.15.0-4) unstable; urgency=medium

  * Fix debian/watch.
  * Add patch for Django 1.8 compatibility.
  * Swap Maintainer and Uploaders. Maintainer is now DPMT.

 -- Brian May <bam@debian.org>  Thu, 22 Oct 2015 10:17:32 +1100

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,20 @@
 Source: django-tables
 Section: python
 Priority: optional
-Maintainer: Brian May <bam@debian.org>
-Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Uploaders: Brian May <bam@debian.org>
 Build-Depends: debhelper (>=8.1.0), dh-python,
  python-all (>= 2.6.6-3~), python-django (>= 1.4.5), python-setuptools, python-six,
+ python-pytest-django, python-fudge, python-lxml, python-tz,
+ python-django-haystack,
  python3-all, python3-django (>= 1.4.5), python3-setuptools, python3-six,
+ python3-pytest-django, python3-fudge, python3-lxml, python3-tz,
 Build-Depends-Indep: python-sphinx (>= 1.0.7+dfsg-1~), python-doc, python-django-doc
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 X-Python-Version: >= 2.6
 Homepage: https://github.com/bradleyayers/django-tables2/
-Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/django-tables/trunk/
-Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/django-tables/trunk/
+Vcs-Git: git://anonscm.debian.org/python-modules/packages/django-tables.git
+Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/django-tables.git
 
 Package: python-django-tables2
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -13,6 +13,5 @@
 
 .PHONY: override_dh_auto_test
 override_dh_auto_test:
-	# Tests require attest which isn't in Debian yet.
-	# https://pypi.python.org/pypi/Attest/0.5.3
-	# Disabling tests for now.
+	PYTHONPATH=. \
+	    dh_auto_test -- --system=custom --test-args="{interpreter} /usr/bin/py.test"

## django-tables 1.2.0

=== debian/changelog ===
django-tables (1.2.0-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Neil Williams <codehelp@debian.org>  Mon, 09 May 2016 13:17:06 +0100

django-tables (1.2.0-1) unstable; urgency=medium

  * New upstream version.

 -- Brian May <bam@debian.org>  Tue, 03 May 2016 10:42:34 +1000

django-tables (1.1.6-2) unstable; urgency=medium

  [ Neil Williams ]
  * Update django build depends to 1.8 as 1.7 in jessie causes the
    django-tables test suite to fail.
  * Add clean rule to remove docs/.build to allow package to build twice
    in a row.

  [ Brian May ]
  * Add changes by Neil Williams. Closes: #822224.

 -- Brian May <bam@debian.org>  Sun, 24 Apr 2016 12:08:22 +1000

django-tables (1.1.6-1) unstable; urgency=medium

  * New upstream version.

 -- Brian May <bam@debian.org>  Wed, 06 Apr 2016 12:53:39 +1000

=== debian/control ===
--- 
+++ 
@@ -4,21 +4,22 @@
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Brian May <bam@debian.org>
 Build-Depends: debhelper (>=8.1.0), dh-python,
- python-all (>= 2.6.6-3~), python-django (>= 1.4.5), python-setuptools, python-six,
+ python-all (>= 2.6.6-3~), python-django (>= 1.8), python-setuptools, python-six,
  python-pytest-django, python-fudge, python-lxml, python-tz,
  python-django-haystack,
- python3-all, python3-django (>= 1.4.5), python3-setuptools, python3-six,
+ python3-all, python3-django (>= 1.8), python3-setuptools, python3-six,
  python3-pytest-django, python3-fudge, python3-lxml, python3-tz,
+ python3-django-haystack,
 Build-Depends-Indep: python-sphinx (>= 1.0.7+dfsg-1~), python-doc, python-django-doc
-Standards-Version: 3.9.6
+Standards-Version: 3.9.7
 X-Python-Version: >= 2.6
 Homepage: https://github.com/bradleyayers/django-tables2/
-Vcs-Git: git://anonscm.debian.org/python-modules/packages/django-tables.git
+Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/django-tables.git
 Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/django-tables.git
 
 Package: python-django-tables2
 Architecture: all
-Depends: ${misc:Depends}, ${python:Depends}, python-django (>= 1.4.5)
+Depends: ${misc:Depends}, ${python:Depends}, python-django (>= 1.8)
 Suggests: python-django-tables2-doc
 Replaces: django-tables (<< 0.13.0-2)
 Breaks: django-tables (<< 0.13.0-2)
@@ -29,7 +30,7 @@
 
 Package: python3-django-tables2
 Architecture: all
-Depends: ${misc:Depends}, ${python3:Depends}, python3-django (>= 1.4.5)
+Depends: ${misc:Depends}, ${python3:Depends}, python3-django (>= 1.8)
 Suggests: python-django-tables2-doc
 Description: Table/data-grid framework for Django
  django-tables2 simplifies the task of turning sets of data into HTML tables. It

## django-tables 1.10.0

=== docs/requirements.txt ===
-r ../requirements/common.pip
Sphinx==1.6.2
sphinx_rtd_theme
recommonmark
tablib

=== debian/changelog ===
django-tables (1.10.0-1) unstable; urgency=medium

  [ Brian May ]
  * New upstream version.
  * Fixes build errors with Django 1.11. Closes: #865814
  * Update standards version to 4.0.0

  [ Neil Williams ]
  * Temporarily exclude the new export code from upstream 1.8
    and later as tablib has no python3 support in Debian.
    (Closes: #855829)

 -- Brian May <bam@debian.org>  Wed, 09 Aug 2017 17:37:52 +1000

=== debian/control ===
--- 
+++ 
@@ -3,15 +3,15 @@
 Priority: optional
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Brian May <bam@debian.org>
-Build-Depends: debhelper (>=8.1.0), dh-python,
+Build-Depends: debhelper (>=9), dh-python,
  python-all (>= 2.6.6-3~), python-django (>= 1.8), python-setuptools, python-six,
  python-pytest-django, python-fudge, python-lxml, python-tz,
- python-django-haystack,
+ python-django-haystack, python-sphinx-rtd-theme, python-recommonmark,
  python3-all, python3-django (>= 1.8), python3-setuptools, python3-six,
  python3-pytest-django, python3-fudge, python3-lxml, python3-tz,
- python3-django-haystack,
+ python3-django-haystack, python3-sphinx-rtd-theme, python3-recommonmark,
 Build-Depends-Indep: python-sphinx (>= 1.0.7+dfsg-1~), python-doc, python-django-doc
-Standards-Version: 3.9.7
+Standards-Version: 4.0.0
 X-Python-Version: >= 2.6
 Homepage: https://github.com/bradleyayers/django-tables2/
 Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/django-tables.git

## django-tables 1.14.2

=== docs/requirements.txt ===
-r ../requirements/common.pip
Sphinx==1.6.2
sphinx_rtd_theme
recommonmark

=== debian/changelog ===
django-tables (1.14.2-1) unstable; urgency=medium

  * New upstream version.
  * Drop transitional package django-tables. Closes: #878390.
  * Update standards version to 4.1.1.
  * Depend on python3-sphinx instead of python-sphinx.

 -- Brian May <bam@debian.org>  Tue, 31 Oct 2017 08:31:32 +1100

=== debian/control ===
--- 
+++ 
@@ -10,8 +10,8 @@
  python3-all, python3-django (>= 1.8), python3-setuptools, python3-six,
  python3-pytest-django, python3-fudge, python3-lxml, python3-tz,
  python3-django-haystack, python3-sphinx-rtd-theme, python3-recommonmark,
-Build-Depends-Indep: python-sphinx (>= 1.0.7+dfsg-1~), python-doc, python-django-doc
-Standards-Version: 4.0.0
+Build-Depends-Indep: python3-sphinx (>= 1.0.7+dfsg-1~), python-doc, python-django-doc
+Standards-Version: 4.1.1
 X-Python-Version: >= 2.6
 Homepage: https://github.com/bradleyayers/django-tables2/
 Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/django-tables.git
@@ -47,11 +47,3 @@
  ``django.forms`` does for HTML forms.
  .
  This package contains the documentation.
-
-Package: django-tables
-Depends: python-django-tables2, ${misc:Depends}
-Architecture: all
-Priority: extra
-Section: oldlibs
-Description: Table/data-grid framework for Django (transitional package)
- This is a dummy package to aid switching to python-django-tables2.

=== debian/rules ===
--- 
+++ 
@@ -11,6 +11,15 @@
 	PYTHONPATH=. sphinx-build -b html -d docs/.build/.doctrees -N docs docs/.build/html
 	dh_auto_build
 
+.PHONY: override_dh_auto_clean
+override_dh_auto_clean:
+	dh_auto_clean
+	${RM} django_tables2/export/export.py django_tables2/export/__init__.py
+	${RM} django_tables2/export/views.py docs/pages/export.rst
+	${RM} tests/export/__init__.py tests/export/test_export.py
+	${RM} -r .cache django_tables2.egg-info
+	$(RM) -r docs/.build
+
 .PHONY: override_dh_auto_test
 override_dh_auto_test:
 	PYTHONPATH=. \

## django-tables 1.21.2

=== docs/requirements.txt ===
-r ../requirements/common.pip
Sphinx==1.6.5
sphinx_rtd_theme
recommonmark

=== example/requirements.txt ===
-e ..
django-bootstrap3==9.1.0
django-debug-toolbar==1.9.1
django-filter==1.1.0
tablib<0.11.99

=== debian/changelog ===
django-tables (1.21.2-1) unstable; urgency=low

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field

  [ Joseph Herlant ]
  * New upstream version 1.21.2
  * d/rules: new test management system
  * wrap-n-sort
  * d/compat, d/control: upgrade standards to 4.1.4 and compat to 11
  * d/control: update build dependencies
  * Remove patch now integrated upstream
  * d/rules: re-enable export module
  * d/control: add explicitly autopkgtest testsuite (Closes: #895009)
  * d/control: update the dependencies now that we have python3-tablib
  * Fix debian-pycompat-is-obsolete
  * d/control: update package descriptions to avoid duplicates
    (Closes: #896396, #896429)
  * Add autopkgtests with a real use case too
  * Adding the examples in the doc package
  * Move static content to usr/share
  * d/control: adding myself as Uploaders to avoid nmu warnings
  * Fix privacy-breach lintian issues
  * d/rules: fix package-installs-python-pycache-dir
  * Adapt doc-base to match new rules about location from policy 4.1.4/dh11

 -- Brian May <bam@debian.org>  Wed, 09 May 2018 07:56:52 +1000

=== debian/control ===
Source: django-tables
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Brian May <bam@debian.org>, Joseph Herlant <herlantj@gmail.com>
Build-Depends: debhelper (>=11),
               dh-python,
               python-all (>= 2.6.6-3~),
               python-setuptools,
               python3-all,
               python3-setuptools
Build-Depends-Indep: python-django (>= 1.8),
                     python-doc,
                     python-fudge,
                     python-lxml,
                     python-mock,
                     python-psycopg2,
                     python-recommonmark,
                     python-six,
                     python-sphinx-rtd-theme,
                     python-tablib,
                     python-tz,
                     python3-django (>= 1.8),
                     python3-fudge,
                     python3-lxml,
                     python3-mock,
                     python3-psycopg2,
                     python3-recommonmark,
                     python3-six,
                     python3-sphinx (>= 1.0.7+dfsg-1~),
                     python3-sphinx-rtd-theme,
                     python3-tablib,
                     python3-tz
Standards-Version: 4.1.4
X-Python-Version: >= 2.6
Homepage: https://github.com/bradleyayers/django-tables2/
Vcs-Git: https://salsa.debian.org/python-team/modules/django-tables.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/django-tables

Package: python-django-tables2
Architecture: all
Depends: python-django (>= 1.8), ${misc:Depends}, ${python:Depends}
Suggests: python-django-tables2-doc
Replaces: django-tables (<< 0.13.0-2)
Breaks: django-tables (<< 0.13.0-2)
Description: Table/data-grid framework for Django (Python 2.7)
 django-tables2 simplifies the task of turning sets of data into HTML tables. It
 has native support for pagination and sorting. It does for HTML tables what
 ``django.forms`` does for HTML forms.
 .
 This package provides the Python 2.7 module.

Package: python3-django-tables2
Architecture: all
Depends: python3-django (>= 1.8), ${misc:Depends}, ${python3:Depends}
Suggests: python-django-tables2-doc
Description: Table/data-grid framework for Django (Python 3)
 django-tables2 simplifies the task of turning sets of data into HTML tables. It
 has native support for pagination and sorting. It does for HTML tables what
 ``django.forms`` does for HTML forms.
 .
 This package provides the Python 3 module.

Package: python-django-tables2-doc
Section: doc
Architecture: all
Depends: libjs-bootstrap,
         libjs-jquery,
         python-django-doc,
         python-doc,
         ${misc:Depends},
         ${sphinxdoc:Depends}
Description: Table/data-grid framework for Django (Documentation)
 django-tables2 simplifies the task of turning sets of data into HTML tables. It
 has native support for pagination and sorting. It does for HTML tables what
 ``django.forms`` does for HTML forms.
 .
 This package contains the documentation.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export PYBUILD_NAME=django-tables2
export PYBUILD_AFTER_INSTALL=rm -rf {destdir}/usr/lib/python*/dist-packages/django_tables2/static/django_tables2

%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild

.PHONY: override_dh_auto_build
override_dh_auto_build:
	PYTHONPATH=. sphinx-build -b html -d docs/.build/.doctrees -N docs docs/.build/html
	dh_auto_build

override_dh_installexamples:
	dh_installexamples -A -X__pycache__

.PHONY: override_dh_auto_clean
override_dh_auto_clean:
	dh_auto_clean
	${RM} -r .cache django_tables2.egg-info
	$(RM) -r docs/.build

.PHONY: override_dh_auto_test
override_dh_auto_test:
	dh_auto_test -- --system=custom --test-args="{interpreter} -Wd manage.py test"

=== debian/tests/control ===
Test-Command: python -Wd manage.py test
Depends: @, @builddeps@
Restrictions: allow-stderr

Test-Command: python3 -Wd manage.py test
Depends: @, @builddeps@
Restrictions: allow-stderr

Tests: test-run-py3
Depends: @
Restrictions: allow-stderr

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/django-tables2-$1\.tar\.gz/ \
  https://github.com/bradleyayers/django-tables2//tags .*/v?(\d\S*)\.tar\.gz

## django-tables 2.1.0

=== docs/requirements.txt ===
-r ../requirements/common.pip
Sphinx==2.1.2
sphinx_rtd_theme
recommonmark
django
sphinxcontrib-spelling
pyenchant

=== debian/changelog ===
django-tables (2.1.0-2) unstable; urgency=medium

  * d/control: moving python-doc and python-django-doc to suggest
    (Closes: #936422)

 -- Joseph Herlant <aerostitch@debian.org>  Fri, 30 Aug 2019 12:24:47 -0700

django-tables (2.1.0-1) unstable; urgency=medium

  * New upstream version 2.1.0
  * Refresh patches against new version
  * d/control:
    * bump standards to 4.4.0.1
    * Bump compat to 12
    * new build dependency: python3-sphinxcontrib.spelling
    * new build dependency for the tests: python3-django-filters
  * Re-formatting with wrap-and-sort
  * update the doc-base path after bumping the standards
  * Remove CI tests against python2 as we dropped it
  * d/rules: make sure to cleanup the symlinks after the run of conf.py

 -- Joseph Herlant <aerostitch@debian.org>  Mon, 12 Aug 2019 22:22:56 -0700

django-tables (1.21.2-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Remove ancient X-Python-Version field
  * Use 'python3 -m sphinx' instead of sphinx-build for building docs

  [ Thomas Goirand ]
  * Team upload.
  * Ran wrap-and-sort -bast.
  * Removed Python 2 support.
  * Add removed-broken-test.patch.

 -- Thomas Goirand <zigo@debian.org>  Fri, 26 Jul 2019 15:31:01 +0200

=== debian/control ===
Source: django-tables
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Brian May <bam@debian.org>, Joseph Herlant <aerostitch@debian.org>
Build-Depends: debhelper-compat (=12),
               dh-python,
               python3-all,
               python3-setuptools
Build-Depends-Indep: python3-django,
                     python3-django-filters,
                     python3-fudge,
                     python3-lxml,
                     python3-mock,
                     python3-psycopg2,
                     python3-recommonmark,
                     python3-six,
                     python3-sphinx,
                     python3-sphinx-rtd-theme,
                     python3-sphinxcontrib.spelling,
                     python3-tablib,
                     python3-tz
Standards-Version: 4.4.0.1
Homepage: https://github.com/bradleyayers/django-tables2/
Vcs-Git: https://salsa.debian.org/python-team/modules/django-tables.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/django-tables

Package: python-django-tables2-doc
Section: doc
Architecture: all
Suggests: python3-doc, python-django-doc
Depends: libjs-bootstrap,
         libjs-jquery,
         ${misc:Depends},
         ${sphinxdoc:Depends}
Description: Table/data-grid framework for Django (Documentation)
 django-tables2 simplifies the task of turning sets of data into HTML tables. It
 has native support for pagination and sorting. It does for HTML tables what
 ``django.forms`` does for HTML forms.
 .
 This package contains the documentation.

Package: python3-django-tables2
Architecture: all
Depends: python3-django (>= 1.8), ${misc:Depends}, ${python3:Depends}
Suggests: python-django-tables2-doc
Description: Table/data-grid framework for Django (Python 3)
 django-tables2 simplifies the task of turning sets of data into HTML tables. It
 has native support for pagination and sorting. It does for HTML tables what
 ``django.forms`` does for HTML forms.
 .
 This package provides the Python 3 module.

## django-tables 2.1.1

=== docs/requirements.txt ===
-r ../requirements/common.pip
Sphinx==2.2.0
sphinx_rtd_theme
recommonmark
django
sphinxcontrib-spelling
pyenchant

=== example/requirements.txt ===
-e ..
django-bootstrap3==11.0.0
django-bootstrap4==0.0.8
django-debug-toolbar==1.11
django-filter==2.2
tablib==0.13.0

=== debian/changelog ===
django-tables (2.1.1-1) unstable; urgency=medium

  * New upstream version 2.1.1
  * d/control:
    * bump standards to 4.4.1
    * add Rules-Requires-Root: no
  * Add upstream/metadata file for dep12

 -- Joseph Herlant <aerostitch@debian.org>  Sat, 19 Oct 2019 16:07:24 -0700

=== debian/control ===
--- 
+++ 
@@ -20,10 +20,11 @@
                      python3-sphinxcontrib.spelling,
                      python3-tablib,
                      python3-tz
-Standards-Version: 4.4.0.1
+Standards-Version: 4.4.1
 Homepage: https://github.com/bradleyayers/django-tables2/
 Vcs-Git: https://salsa.debian.org/python-team/modules/django-tables.git
 Vcs-Browser: https://salsa.debian.org/python-team/modules/django-tables
+Rules-Requires-Root: no
 
 Package: python-django-tables2-doc
 Section: doc

## django-tables 2.4.0

=== example/requirements.txt ===
-e ..
django-bootstrap3==11.0.0
django-bootstrap4==0.0.8
django-debug-toolbar==1.11.1
django-filter==2.2
tablib==0.13.0

## django-tables 2.4.1

=== docs/requirements.txt ===
-r ../requirements/common.pip
Sphinx==2.2.0
sphinx_rtd_theme==0.5.0
recommonmark==0.4.0
django
sphinxcontrib-spelling==5.2.0
pyenchant==3.1.1

=== example/requirements.txt ===
-e ..
django-bootstrap3==15.0.0
django-bootstrap4==3.0.1
django-debug-toolbar==3.2.1
django-filter==2.4.0
tablib==3.0.0

=== debian/changelog ===
django-tables (2.4.1-2) unstable; urgency=medium

  * Team upload.
  * [d8d1be3] Rebuild patch queue from patch-queue branch
    Added patch:
    debian-hacks/Ignore-test_export.ExportViewTest-for-now.patch
    (Closes: #998559)
    Other existing patches got renamed and added into topic folders, but
    there are no modifications did happen.

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 11 Dec 2021 10:37:30 +0100

django-tables (2.4.1-1) unstable; urgency=medium

  * Team upload.
  * [6c15cd7] New upstream version 2.4.1
  * [eb7ad53] d/control: Update upstream homepage
  * [129095c] d/copyright: Update copyright and upstream data

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 09 Oct 2021 11:20:08 +0200

django-tables (2.4.0-1) unstable; urgency=medium

  * Team upload.
  * [4d2812d] d/gbp.conf: Add some more defaults
  * [a5c3d23] New upstream version 2.4.0
  * [a0c857f] d/control: Update Standards-Version to 4.6.0
    No further changes needed.
  * [987e2b0] d/control: Add new packages to Build-Depends
    Adding python-django-doc and python3-doc to prevent potential build issues
    on python-django-tables2-doc.

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 21 Aug 2021 19:37:28 +0200

django-tables (2.3.4-1~exp+1) experimental; urgency=medium

  * Team upload.

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Repository.
  * Update standards version to 4.5.0, no changes needed.

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Joseph Herlant ]
  * Removing myself from maintainers

  [ Emmanuel Arias ]
  * New upstream version 2.3.4 (Closes: #985774).
  * d/control: Bump Standards-Version to 4.5.1.
  * d/watch: Bump version to 4.
  * d/control: Bump debhelper-compat to 13.

 -- Emmanuel Arias <eamanu@yaerobi.com>  Tue, 23 Mar 2021 22:39:15 +0100

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,16 @@
 Source: django-tables
 Section: python
 Priority: optional
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Uploaders: Brian May <bam@debian.org>, Joseph Herlant <aerostitch@debian.org>
-Build-Depends: debhelper-compat (=12),
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Uploaders: Brian May <bam@debian.org>
+Build-Depends: debhelper-compat (=13),
                dh-python,
                python3-all,
                python3-setuptools
-Build-Depends-Indep: python3-django,
+Build-Depends-Indep: python-django-doc,
+                     python3-django,
                      python3-django-filters,
+                     python3-doc,
                      python3-fudge,
                      python3-lxml,
                      python3-mock,
@@ -20,10 +22,10 @@
                      python3-sphinxcontrib.spelling,
                      python3-tablib,
                      python3-tz
-Standards-Version: 4.4.1
-Homepage: https://github.com/bradleyayers/django-tables2/
-Vcs-Git: https://salsa.debian.org/python-team/modules/django-tables.git
-Vcs-Browser: https://salsa.debian.org/python-team/modules/django-tables
+Standards-Version: 4.6.0
+Homepage: https://github.com/jieter/django-tables2
+Vcs-Git: https://salsa.debian.org/python-team/packages/django-tables.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/django-tables
 Rules-Requires-Root: no
 
 Package: python-django-tables2-doc

=== debian/rules ===
--- 
+++ 
@@ -5,11 +5,11 @@
 export PYBUILD_AFTER_INSTALL=rm -rf {destdir}/usr/lib/python*/dist-packages/django_tables2/static/django_tables2
 
 %:
-	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild
+	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
 
 .PHONY: override_dh_auto_build
 override_dh_auto_build:
-	PYTHONPATH=. sphinx-build -b html -d docs/.build/.doctrees -N docs docs/.build/html
+	PYTHONPATH=. python3 -m sphinx -b html -d docs/.build/.doctrees -N docs docs/.build/html
 	dh_auto_build
 
 override_dh_installexamples:
@@ -20,6 +20,8 @@
 	dh_auto_clean
 	${RM} -r .cache django_tables2.egg-info
 	$(RM) -r docs/.build
+	# docs/conf.py generates a symlink of the CHANGELOG to docs/pages/CHANGELOG
+	$(RM) -r docs/pages/CHANGELOG
 
 .PHONY: override_dh_auto_test
 override_dh_auto_test:

=== debian/tests/control ===
Test-Command: python3 -Wd manage.py test
Depends: @, @builddeps@
Restrictions: allow-stderr

Tests: test-run-py3
Depends: @
Restrictions: allow-stderr

## django-tables 2.6.0

=== docs/requirements.txt ===
-r ../requirements/common.pip
Sphinx==6.1.3
sphinx_rtd_theme==1.2.0
django
sphinxcontrib-spelling==8.0.0
pyenchant==3.2.2
myst-parser==0.19.1

=== debian/changelog ===
django-tables (2.6.0-1ubuntu1) mantic; urgency=medium

  * d/t/test-run-py3: Update test to be compatible with Django 4 using re_path
    instead of the removed url function (LP: #2022089)

 -- Lena Voytek <lena.voytek@canonical.com>  Wed, 23 Aug 2023 11:58:47 -0700

django-tables (2.6.0-1) unstable; urgency=medium
 
  * Team upload.
  * [19e2187] New upstream version 2.6.0

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 01 Jul 2023 08:05:50 +0200

django-tables (2.5.3-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable

 -- Carsten Schoenert <c.schoenert@t-online.de>  Wed, 21 Jun 2023 19:25:43 +0200

django-tables (2.5.3-1) experimental; urgency=medium

  * Team upload.
  * [6d1c6b6] New upstream version 2.5.3
  * [a50bbc6] d/*: Running wrap-and-sort -ast
  * [bc544ce] Rebuild patch queue from patch-queue branch
    Added patch:
    debian-hacks/docs-Ignore-the-myst_parser-AddOn-for-now.patch
  * [6f1295f] d/control: Update Standards-Version to 4.6.2
    No further changes needed.
  * [517affb] d/control: Mark the -doc package Multi-Arch: foreign
  * [34dd26d] d/rules: Use dh_sphinxdoc to build -doc package
  * [32c7251] d/python-django-tables2-doc.docs: Drop sequencer file
  * [6c7b802] d/{control,rules}: Use dh-sequence-* helper
  * [9e1b439] d/control: Adding BuildProfileSpecs data
  * [0dde23e] autopkgtest: Uses explicit package dependencies
  * [ca06d78] d/README.source: Adding information about source

 -- Carsten Schoenert <c.schoenert@t-online.de>  Fri, 26 May 2023 12:04:41 +0200

django-tables (2.4.1-3) unstable; urgency=medium

  [ root ]
  * [38497bf] Remove constraints unnecessary since buster

 -- Jelmer Vernooĳ <jelmer@debian.org>  Thu, 26 May 2022 17:52:57 +0100

=== debian/control ===
Source: django-tables
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Brian May <bam@debian.org>,
Build-Depends:
 debhelper-compat (=13),
 dh-sequence-python3,
 dh-sequence-sphinxdoc,
 python3-all,
 python3-setuptools,
Build-Depends-Indep:
 python-django-doc <!nodoc>,
 python3-django <!nocheck> <!nodoc>,
 python3-django-filters <!nocheck>,
 python3-doc <!nodoc>,
 python3-fudge <!nocheck>,
 python3-lxml <!nocheck>,
 python3-mock <!nocheck>,
 python3-psycopg2 <!nocheck>,
 python3-recommonmark <!nocheck>,
 python3-sphinx <!nodoc>,
 python3-sphinx-rtd-theme <!nodoc>,
 python3-sphinxcontrib.spelling <!nodoc>,
 python3-tablib <!nocheck> <!nodoc>,
 python3-tz <!nocheck>,
Standards-Version: 4.6.2
Homepage: https://github.com/jieter/django-tables2
Vcs-Git: https://salsa.debian.org/python-team/packages/django-tables.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/django-tables
Rules-Requires-Root: no

Package: python-django-tables2-doc
Section: doc
Architecture: all
Suggests:
 python-django-doc,
 python3-doc,
Depends:
 libjs-bootstrap,
 libjs-jquery,
 ${misc:Depends},
 ${sphinxdoc:Depends},
Multi-Arch: foreign
Description: Table/data-grid framework for Django (Documentation)
 django-tables2 simplifies the task of turning sets of data into HTML tables. It
 has native support for pagination and sorting. It does for HTML tables what
 ``django.forms`` does for HTML forms.
 .
 This package contains the documentation.

Package: python3-django-tables2
Architecture: all
Depends:
 python3-django,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-django-tables2-doc,
Description: Table/data-grid framework for Django (Python 3)
 django-tables2 simplifies the task of turning sets of data into HTML tables. It
 has native support for pagination and sorting. It does for HTML tables what
 ``django.forms`` does for HTML forms.
 .
 This package provides the Python 3 module.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE=1

include /usr/share/dpkg/pkg-info.mk

BUILD_DATE  = $(shell LC_ALL=C date -u "+%d %B %Y" -d "@$(SOURCE_DATE_EPOCH)")
SPHINXOPTS := -E -N -D html_last_updated_fmt="$(BUILD_DATE)"

export PYBUILD_NAME=django-tables2
export PYBUILD_AFTER_INSTALL=rm -rf {destdir}/usr/lib/python*/dist-packages/django_tables2/static/django_tables2

%:
	dh $@ --buildsystem=pybuild

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH={build_dir} \
	    python3 -m sphinx -b html $(SPHINXOPTS) docs $(CURDIR)/debian/python-django-tables2-doc/usr/share/doc/python-django-tables2-doc/html
	# docs/conf.py generates a symlink of the CHANGELOG to docs/pages/CHANGELOG
	$(RM) -r $(CURDIR)/debian/python-django-tables2-doc/usr/share/doc/python-django-tables2-doc/html/pages/CHANGELOG
	dh_sphinxdoc
endif

override_dh_installexamples:
	dh_installexamples -A -X__pycache__

override_dh_auto_clean:
	dh_auto_clean
	${RM} -r .cache django_tables2.egg-info

override_dh_auto_test:
	dh_auto_test -- --system=custom --test-args="{interpreter} -Wd manage.py test"

=== debian/tests/control ===
Test-Command: python3 -Wd manage.py test
Depends:
 python3-django,
 python3-django-filters,
 python3-fudge,
 python3-lxml,
 python3-mock,
 python3-psycopg2,
 python3-recommonmark,
 python3-tablib,
 python3-tz,
 @,
Restrictions: allow-stderr

Tests: test-run-py3
Depends:
 @,
Restrictions: allow-stderr
